.\"	$NetBSD: mkalias.8,v 1.10 2005/02/26 16:25:05 thorpej Exp $
.\"
.\" Copyright (c) 1997 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt MKALIAS 8
.Os
.Sh NAME
.Nm mkalias
.Nd a NIS map conversion program
.Sh SYNOPSIS
.Nm
.Op Fl deEnsuv
.Ar input
.Op Ar output
.Sh DESCRIPTION
.Nm
is used to convert a
.Pa mail.aliases
map to a
.Pa mail.byaddr
map. This is a inverse map of user@host (or user!host) back to alias.
.Pp
.Nm
uses
.Ar input
as the input map, and if
.Ar output
is given, use that as the output map.
If the output map isn't given don't create database.
This can be useful when
.Fl e
or
.Fl E
is given.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl d
Assume domain names are OK.
Only useful together with
.Fl e
or
.Fl E .
.It Fl e
Check host to verify that it exists.
.It Fl E
Same as
.Fl e ,
but also check for any MX-record.
.It Fl n
Capitalize name.
E.g., mats.o.jansson becomes Mats.O.Jansson.
.It Fl u
Assume UUCP names are OK.
Only useful together with
.Fl e
or
.Fl E .
.It Fl s
Ignored (only provided for compatibility with SunOS 4.1.x).
.It Fl v
Verbose mode.
.El
.Sh SEE ALSO
.Xr nis 8 ,
.Xr ypserv 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
